#global _internal_version  60e40aa

Name:           nemo
Summary:        File manager for Cinnamon
Version:        2.0.8
Release:        12%{?dist}
License:        GPLv2+ and LGPLv2+
Group:          User Interface/Desktops
URL:            https://github.com/linuxmint/nemo
# To generate source
# wget https://github.com/linuxmint/nemo/tarball/%%{_internal_version} -O nemo-%%{version}.git%%{_internal_version}.tar.gz
Source0:        http://leigh123linux.fedorapeople.org/pub/nemo/source/nemo-%{version}.tar.gz
Source1:        nemo.css
Source2:        gtk.css
Source3:        gtk-dark.css
Source4:        nemo-fedora.gschema.override

Patch0:         git_rollup.patch
Patch1:         Fix_rename_entry_position.patch
Patch2:         transparent_background.patch
Patch3:         adwaita_style.patch
Patch4:         0001-Change-OnlyShowIn-to-X-Cinnamon-for-autostart-deskto.patch
Patch5:         0001-Show-unmount-progress-notifications-when-ejecting-a-.patch
Patch6:         0002-Fix-627-crash-when-unmounting-archives.-This-is-a-te.patch
Patch7:         0003-Refactor-bookmarks-code-a-bit-from-upstream-specific.patch
Patch8:         0002-nemo-links-add-desktop-file-hack-for-desktop-session.patch

Requires:       redhat-menus
Requires:       gvfs
Requires:       gnome-icon-theme
Requires:       cinnamon-translations

BuildRequires:  gnome-common
BuildRequires:  intltool
BuildRequires:  rarian-compat
BuildRequires:  desktop-file-utils
BuildRequires:  pkgconfig(gtk-doc)
BuildRequires:  pkgconfig(libxml-2.0)
BuildRequires:  pkgconfig(cinnamon-desktop)
BuildRequires:  pkgconfig(sm)
BuildRequires:  pkgconfig(libexif)
BuildRequires:  pkgconfig(exempi-2.0)
BuildRequires:  pkgconfig(libselinux)
BuildRequires:  pkgconfig(gobject-introspection-1.0)
BuildRequires:  pkgconfig(libnotify)

# the main binary links against libnemo-extension.so
# don't depend on soname, rather on exact version
Requires:       nemo-extensions%{?_isa} = %{version}-%{release}
Obsoletes:      nemo-open-terminal


%description
Nemo is the file manager and graphical shell for the Cinnamon desktop
that makes it easy to manage your files and the rest of your system.
It allows to browse directories on local and remote filesystems, preview
files and launch applications associated with them.
It is also responsible for handling the icons on the Cinnamon desktop.

%package extensions
Summary: Nemo extensions library
License: LGPLv2+
Group:   Development/Libraries
Requires:   %{name}%{?_isa} = %{version}-%{release}
Obsoletes: nemo-seahorse

%description extensions
This package provides the libraries used by nemo extensions.

%package devel
Summary: Support for developing nemo extensions
License: LGPLv2+
Group:   Development/Libraries
Requires:   %{name}%{?_isa} = %{version}-%{release}


%description devel
This package provides libraries and header files needed
for developing nemo extensions.

%package -n adwaita-nemo
Summary: Nemo theme fix for Adwaita
Group:   User Interface/Desktops
Buildarch: noarch
Requires:  gnome-themes-standard

%description -n adwaita-nemo
Nemo theme fix for Adwaita

%prep
%autosetup -p1

sed -i -e 's@DISABLE_DEPRECATED_CFLAGS="-DG_DISABLE_DEPRECATED -DGTK_DISABLE_DEPRECATED -DGDK_DISABLE_DEPRECATED -DGDK_PIXBUF_DISABLE_DEPRECATED"@@g' configure.in
mv configure.in configure.ac
NOCONFIGURE=1 ./autogen.sh

%build
%configure --disable-more-warnings \
           --disable-update-mimedb \
           --disable-schemas-compile \
           --enable-tracker=no

sed -i -e 's/ -shared / -Wl,-O1,--as-needed\0 /g' libtool

make %{?_smp_mflags} V=1

%install
%{make_install}

install -D -m 0644 %{SOURCE4} $RPM_BUILD_ROOT/%{_datadir}/glib-2.0/schemas/nemo-fedora.gschema.override

desktop-file-install --delete-original       \
  --dir $RPM_BUILD_ROOT%{_datadir}/applications             \
  --add-only-show-in GNOME                                  \
  $RPM_BUILD_ROOT%{_datadir}/applications/*

# create extensions directoy
mkdir -p $RPM_BUILD_ROOT%{_libdir}/nemo/extensions-3.0/

rm -f $RPM_BUILD_ROOT%{_libdir}/*.la
rm -f $RPM_BUILD_ROOT%{_libdir}/*.a
rm -f $RPM_BUILD_ROOT%{_libdir}/nemo/extensions-3.0/*.la
rm -f $RPM_BUILD_ROOT%{_datadir}/icons/hicolor/icon-theme.cache
rm -f $RPM_BUILD_ROOT%{_datadir}/icons/hicolor/.icon-theme.cache

# theme
mkdir -p $RPM_BUILD_ROOT%{_datadir}/themes/Adwaita-Nemo/gtk-3.0/apps
install -D -p -m 0644 %{SOURCE1} $RPM_BUILD_ROOT%{_datadir}/themes/Adwaita-Nemo/gtk-3.0/apps/
install -D -p -m 0644 %{SOURCE2} %{SOURCE3} $RPM_BUILD_ROOT%{_datadir}/themes/Adwaita-Nemo/gtk-3.0/
ln -s %{_datadir}/themes/Adwaita/backgrounds $RPM_BUILD_ROOT%{_datadir}/themes/Adwaita-Nemo/
ln -s %{_datadir}/themes/Adwaita/gtk-2.0 $RPM_BUILD_ROOT%{_datadir}/themes/Adwaita-Nemo/
ln -s %{_datadir}/themes/Adwaita/gtk-3.0/{gtk.gresource,settings.ini} $RPM_BUILD_ROOT%{_datadir}/themes/Adwaita-Nemo/gtk-3.0/
ln -s %{_datadir}/themes/Adwaita/metacity-1 $RPM_BUILD_ROOT%{_datadir}/themes/Adwaita-Nemo/
ln -s %{_datadir}/themes/Adwaita/index.theme $RPM_BUILD_ROOT%{_datadir}/themes/Adwaita-Nemo/index.theme


%post
/sbin/ldconfig
/usr/bin/update-desktop-database &> /dev/null || :
/bin/touch --no-create %{_datadir}/icons/hicolor &>/dev/null || :
/usr/bin/update-mime-database %{_datadir}/mime &> /dev/null || :

%postun
/sbin/ldconfig
/usr/bin/update-mime-database %{_datadir}/mime &> /dev/null || :
/usr/bin/update-desktop-database &> /dev/null || :
if [ $1 -eq 0 ]; then
  /bin/touch --no-create %{_datadir}/icons/hicolor &>/dev/null
  /usr/bin/gtk-update-icon-cache -f %{_datadir}/icons/hicolor &>/dev/null || :
  /usr/bin/glib-compile-schemas %{_datadir}/glib-2.0/schemas &> /dev/null || :
fi

%posttrans
/usr/bin/gtk-update-icon-cache -f %{_datadir}/icons/hicolor &>/dev/null || :
/usr/bin/glib-compile-schemas %{_datadir}/glib-2.0/schemas &> /dev/null || :

%post extensions -p /sbin/ldconfig

%postun extensions -p /sbin/ldconfig

%files
%doc AUTHORS COPYING COPYING-DOCS COPYING.LIB NEWS README
%{_datadir}/nemo/
%{_datadir}/applications/*
%{_datadir}/mime/packages/nemo.xml
%{_bindir}/*
%{_datadir}/icons/hicolor/*/apps/nemo.png
%{_datadir}/icons/hicolor/*/actions/nemo-eject.png
%{_datadir}/icons/hicolor/scalable/*/*.svg
%{_datadir}/dbus-1/services/org.Nemo.service
%{_datadir}/dbus-1/services/org.freedesktop.NemoFileManager1.service
%{_mandir}/man1/nemo-connect-server.1.*
%{_mandir}/man1/nemo.1.*
%{_libexecdir}/nemo-convert-metadata
%{_datadir}/glib-2.0/schemas/*
%dir %{_libdir}/nemo/extensions-3.0/
%{_datadir}/polkit-1/actions/org.nemo.root.policy
%{_datadir}/gtksourceview-?.0/language-specs/nemo_action.lang

%files extensions
%{_libdir}/libnemo-extension.so.*
%{_libdir}/girepository-1.0/*.typelib
%dir %{_libdir}/nemo

%files -n  adwaita-nemo
%{_datadir}/themes/Adwaita-Nemo/

%files devel
%{_includedir}/nemo/
%{_libdir}/pkgconfig/*
%{_libdir}/*.so
%{_datadir}/gir-1.0/*.gir

%changelog
* Sat Jun 14 2014 Leigh Scott <leigh123linux@googlemail.com> - 2.0.8-12
- X-Cinnamon fix

* Fri Jun 13 2014 Leigh Scott <leigh123linux@googlemail.com> - 2.0.8-11
- add upstream patches to fix bookmarks

* Wed Jun 11 2014 Leigh Scott <leigh123linux@googlemail.com> - 2.0.8-10
- switch to X-Cinnamon

* Mon Mar 03 2014 Leigh Scott <leigh123linux@googlemail.com> - 2.0.8-9
- remove tracker support (bz 1071601) so search works
- fix adwaita-nemo theme issue (bz 1066547)

* Thu Feb 20 2014 Adam Williamson <awilliam@redhat.com> - 2.0.8-8
- rebuild against updated tracker

* Fri Jan 24 2014 Leigh Scott <leigh123linux@googlemail.com> - 2.0.8-7
- fix adwaita theme issue

* Thu Jan 02 2014 Leigh Scott <leigh123linux@googlemail.com> - 2.0.8-6
- patch to make background transparent

* Thu Jan 02 2014 Leigh Scott <leigh123linux@googlemail.com> - 2.0.8-5
- hopefully fix rename position issue (bz 1045181)

* Mon Dec 23 2013 Leigh Scott <leigh123linux@googlemail.com> - 2.0.8-4
- add patch to build against tracker-1.8

* Mon Dec 23 2013 Leigh Scott <leigh123linux@googlemail.com> - 2.0.8-3
- change tracker build requires

* Sun Dec 22 2013 Leigh Scott <leigh123linux@googlemail.com> - 2.0.8-2
- add git rollup patch (bz 1045181)

* Mon Dec 02 2013 Leigh Scott <leigh123linux@googlemail.com> - 2.0.8-1
- update to 2.0.8

* Sun Nov 24 2013 Leigh Scott <leigh123linux@googlemail.com> - 2.0.7-1
- update to 2.0.7

* Sun Nov 03 2013 Leigh Scott <leigh123linux@googlemail.com> - 2.0.5-1
- update to 2.0.5

* Thu Oct 31 2013 Leigh Scott <leigh123linux@googlemail.com> - 2.0.4-1
- update to 2.0.4
- add obsoletes nemo-open-terminal

* Wed Oct 30 2013 Leigh Scott <leigh123linux@googlemail.com> - 2.0.3-1
- update to 2.0.3

* Thu Oct 24 2013 Leigh Scott <leigh123linux@googlemail.com> - 2.0.2-1
- update to 2.0.2

* Sun Oct 20 2013 Leigh Scott <leigh123linux@googlemail.com> - 2.0.1-2
- add obsoletes nemo-seahorse

* Fri Oct 18 2013 Leigh Scott <leigh123linux@googlemail.com> - 2.0.1-1
- update to 2.0.1

* Wed Oct 09 2013 Leigh Scott <leigh123linux@googlemail.com> - 2.0.0-2
- rebuilt with tracker support

* Wed Oct 02 2013 Leigh Scott <leigh123linux@googlemail.com> - 2.0.0-1
- update to 2.0.0

* Tue Oct 01 2013 Leigh Scott <leigh123linux@googlemail.com> - 1.9.1-2
- set some defaults

* Mon Sep 30 2013 Leigh Scott <leigh123linux@googlemail.com> - 1.9.1-1
- update to 1.9.1

* Thu Sep 26 2013 Leigh Scott <leigh123linux@googlemail.com> - 1.8.6-0.8.git60e40aa
- update to latest git

* Thu Sep 19 2013 Leigh Scott <leigh123linux@googlemail.com> - 1.8.6-0.7.git1c25115
- update to latest git

* Thu Sep 19 2013 Leigh Scott <leigh123linux@googlemail.com> - 1.8.6-0.6.git07ae0a8
- update to latest git

* Wed Sep 18 2013 Leigh Scott <leigh123linux@googlemail.com> - 1.8.6-0.5.gitea09d20
- update to latest git

* Sun Aug 25 2013 Leigh Scott <leigh123linux@googlemail.com> - 1.8.6-0.4.gitfccc703
- update to latest git
- Change buildrequires to cinnamon-desktop-devel
- Change requires to cinnamon-desktop

* Sat Aug 24 2013 Leigh Scott <leigh123linux@googlemail.com> - 1.8.6-0.3.git9d08c6c
- add requires cinnamon-translations

* Sat Aug 24 2013 Leigh Scott <leigh123linux@googlemail.com> - 1.8.6-0.2.git9d08c6c
- update to latest git

* Sat Aug 24 2013 Leigh Scott <leigh123linux@googlemail.com> - 1.8.6-0.1.gitb2776a2
- update to latest git
- adjust for new cinnamon-translations package

* Thu Aug 22 2013 Leigh Scott <leigh123linux@googlemail.com> - 1.8.5-3
- rebuilt

* Wed Aug 21 2013 Leigh Scott <leigh123linux@googlemail.com> - 1.8.5-2
- supress gtk DEPRECATED

* Wed Aug 21 2013 Leigh Scott <leigh123linux@googlemail.com> - 1.8.5-1
- Update to version 1.8.5

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.8.4-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Wed Jul 24 2013 Leigh Scott <leigh123linux@googlemail.com> - 1.8.4-4
- add requires beesu
- drop patch to remove open as root

* Wed Jul 24 2013 Leigh Scott <leigh123linux@googlemail.com> - 1.8.4-3
- remove background patch as it breaks cinnamon next

* Mon Jul 22 2013 Leigh Scott <leigh123linux@googlemail.com> - 1.8.4-2
- patch to fix create launcher

* Wed Jul 10 2013 leigh scott <leigh123linux@googlemail.com> - 1.8.4-1
- Update to version 1.8.4

* Thu Jun 06 2013 leigh scott <leigh123linux@googlemail.com> - 1.8.2-3
- autostart nemo differently so we dont squash nautilus

* Fri May 24 2013 Leigh Scott <leigh123linux@googlemail.com> - 1.8.2-2
- Patch to remove open as root

* Mon May 20 2013 Leigh Scott <leigh123linux@googlemail.com> - 1.8.2-1
- Update to version 1.8.2
- Tidy up patches

* Sun May 12 2013 Leigh Scott <leigh123linux@googlemail.com> - 1.8.1-2
- add patch to stop nemo from drawing the desktop background

* Thu May 09 2013 Leigh Scott <leigh123linux@googlemail.com> - 1.8.1-1
- update to 1.8.1 release

* Sun Feb 24 2013 Leigh Scott <leigh123linux@googlemail.com> - 1.1.2-4
- Rebuilt for libgnome-desktop soname bump
- Patch for gnome-desktop changes

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.1.2-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Fri Dec 21 2012 Kalev Lember <kalevlember@gmail.com> - 1.1.2-2
- Rebuilt for libgnome-desktop-3 3.7.3 soname bump

* Wed Nov 14 2012 Leigh Scott <leigh123linux@googlemail.com> - 1.1.2-1
- update to 1.1.2 release
- add scriptlets for mimetype key

* Sat Nov 03 2012 Leigh Scott <leigh123linux@googlemail.com> - 1.0.9-1
- update to 1.0.9 release

* Sun Oct 28 2012 Leigh Scott <leigh123linux@googlemail.com> - 1.0.7-1
- update to 1.0.7 release
- change build requires style
- use autogen to prepare source
- make directory for extensions

* Sun Oct 21 2012 Leigh Scott <leigh123linux@googlemail.com> - 1.0.5-2
- drop requires gksu-pokit

* Sat Oct 20 2012 Leigh Scott <leigh123linux@googlemail.com> - 1.0.5-1
- update to 1.0.5 release
- revert last commit

* Thu Oct 18 2012 Leigh Scott <leigh123linux@googlemail.com> - 1.0.3-3
- patch open as root and add requires gksu-pokit

* Mon Oct 08 2012 Leigh Scott <leigh123linux@googlemail.com> - 1.0.3-2
- remove requires gnome-terminal
- patch to remove "open in terminal"

* Mon Oct 01 2012 Leigh Scott <leigh123linux@googlemail.com> - 1.0.3-1
- update to 1.0.3 release

* Thu Sep 27 2012 Leigh Scott <leigh123linux@googlemail.com> - 1.0.2-1
- update to 1.0.2 release
- add requires gnome-terminal

* Tue Sep 25 2012 Leigh Scott <leigh123linux@googlemail.com> - 1.0.1-5
- add theme sub-package

* Tue Sep 25 2012 Leigh Scott <leigh123linux@googlemail.com> - 1.0.1-4
- remove "open as root" option
- fix "open terminal" option

* Tue Sep 25 2012 Leigh Scott <leigh123linux@googlemail.com> - 1.0.1-3
- validate desktop file

* Tue Sep 25 2012 Leigh Scott <leigh123linux@googlemail.com> - 1.0.1-2
- add ldconfig to extensions
- fix comment in macro
- fix macro-in-comment
- remove obsolete provides/obsoletes
- fix licence tag

* Fri Sep 21 2012 Leigh Scott <leigh123linux@googlemail.com> - 1.0.1-1
- initial build based on nautilus spec file

